-- mysql
-- 更新报价单轮次信息
UPDATE T_PUR_QUOTE A SET A.FTURNSCOUNT = A.FTURNS WHERE A.FTURNSCOUNT=' ';

-- 将询价单参与供应商分录报价截止时间更新为对应询价单报价截止时间
UPDATE T_PUR_INQUIRYSUPPLIER A,T_PUR_INQUIRY B SET A.FDEADLINE=B.FENDDATE WHERE B.FID=A.FID AND A.FDEADLINE IS NULL;
-- 更新参与供应商询价轮次、轮次、报价截止时间，分四种场景
UPDATE T_PUR_INQUIRYSUPPLIER A,T_PUR_INQUIRY B SET A.FENTRYCOUNT=B.FTURNS,A.FENTRYTURNS=B.FTURNS WHERE A.FID=B.FID AND A.FENTRYTURNS = ' ';
-- （一）场景1 我的状态为空则 设置供应项目状态为空
-- 根据我的状态为空，更新参与供应商项目状态
UPDATE T_PUR_INQUIRYSUPPLIER A SET A.FSUPPLIERBIZSTATUS=' ' WHERE A.FENTRYSTATUS=' ';
-- （二）场景2 我的状态为不报价，且询价单项目状态为非终止状态，则更新供应商项目状态为不报价
UPDATE T_PUR_INQUIRYSUPPLIER A,T_PUR_INQUIRY B SET A.FSUPPLIERBIZSTATUS = 'C' WHERE A.FID=B.FID AND A.FENTRYSTATUS ='F' AND B.FBIZSTATUS != 'E' AND A.FSUPPLIERBIZSTATUS=' ';
-- （三）场景3 我的状态为不是不报价，且询价单项目状态为非终止状态且我的状态不是未参与或者待报价，则更新项目状态为已报价
UPDATE T_PUR_INQUIRYSUPPLIER A,T_PUR_INQUIRY B SET A.FSUPPLIERBIZSTATUS = 'B' WHERE A.FID=B.FID AND A.FENTRYSTATUS !='F' AND B.FBIZSTATUS != 'E' AND A.FSUPPLIERBIZSTATUS=' ' AND A.FENTRYSTATUS != ' ';
-- （四）场景4 如果项目状态为终止状态则更新供应商项目状态为已终止
UPDATE T_PUR_INQUIRYSUPPLIER A,T_PUR_INQUIRY B SET A.FSUPPLIERBIZSTATUS = 'E' WHERE A.FID=B.FID AND B.FBIZSTATUS = 'E' AND A.FSUPPLIERBIZSTATUS=' ';

-- mysql 更新多伦报价日志信息，最新的轮次保持与询价单单头询价轮次一致
UPDATE T_PUR_INQUIRYTURNSLOG A,T_PUR_INQUIRY B SET A.FLOGDEADLINE=B.FENDDATE WHERE B.FID=A.FID AND A.FTURNS = B.FTURNS;

-- mysql 更新现场评审评审结论数据
UPDATE T_PUR_SCENE A SET A.FSCENERESULT='1' WHERE A.FSCENERESULT='2'; 

-- mysql 更新多轮报价日志询价范围。
UPDATE T_PUR_INQUIRYTURNSLOG A,T_PUR_INQUIRY B SET A.FENTRYLOGSCOPE=B.FSUPSCOPE WHERE B.FID=A.FID AND A.FTURNS='1';
UPDATE T_PUR_INQUIRYTURNSLOG A SET A.FENTRYLOGSCOPE='2' WHERE A.FTURNS IN ('2','3','4','5');